<?php

namespace Location;

use Core\Db;
use DTO\KnowledgeTempleItem;
use User;

class KnowledgeTemple
{
    private string $error = '';

    /**  
     * @param int   $id   id 
     * @return string  
     */
    public function smeltItem(int $id): string
    {
        $item = new KnowledgeTempleItem(User\ItemsModel::getOwnedItemById(User::start()->info['id'], $id));
        if (!$this->isSmeltable($item)) {
            return $this->error;
        }
        User\ItemsModel::delete($id);
        return '   "' . $item->name . '"!' . self::addReputation(1);
    }

    private function isSmeltable(KnowledgeTempleItem $item): bool
    {
        $reputation = User::start()->rep['rep1'];
        if (!$item->exists()) {
            $this->error = '  .';
        } elseif ($item->level < 4 && $item->id != 1035) {
            $this->error = '   4-   ';
        } elseif (
            !in_array($item->type, [1, 3, 5, 6, 8, 9, 10, 11, 12, 13, 14, 15, 18, 19, 20, 21, 22]) &&
            $item->id != 1035
        ) {
            $this->error = ' ,   !   ?   !    - !';
        } elseif ($item->level >= 7 && $reputation < 0) {
            $this->error = '   7-         ';
        } elseif ($item->level >= 9 && $reputation < 1000) {
            $this->error = '   9-         ';
        } elseif ($item->level >= 10 && $reputation < 10000) {
            $this->error = '   10-         ';
        }
        return empty($this->error);
    }

    public static function addReputation(int $value): string
    {
        if ($value < 1) {
            trigger_error(self::class . '::addReputation - $value can not be below zero.');
        }
        Db::sql('update rep set rep1 = rep1 + ? where id = ?', [$value, User::start()->info['id']]);
        User::start()->rep['rep1'] += $value;
        return " : +$value .";
    }
}